<div class="cancelled-reason-container">
  <app-spinner [show]="loading"></app-spinner>
  <div style="padding: 20px;">
    <div>
      <div class="w-100 text-right">
        <div class="required-label-top">Required</div>
      </div>
      <mat-form-field appearance="outline" class="full-width">
        <mat-label>Select Reason</mat-label>
        <app-dropdown-search [formControl]="reason" [data]="listData" [valueField]="fieldName"
                             [textField]="fieldName"></app-dropdown-search>
        <mat-error *ngIf="reason.hasError('required')">
          This field is required
        </mat-error>
      </mat-form-field>
    </div>

    <div *ngIf="reason.value === OTHERS">
      <div class="w-100 text-right">
        <div class="required-label-top">Required</div>
      </div>
      <mat-form-field appearance="outline" class="full-width ptt-select-form-field">
        <mat-label>Notes</mat-label>
        <textarea matInput [formControl]="message" placeholder="Notes"
                  style="height: 100px;"></textarea>
        <mat-error *ngIf="message.hasError('required')">
          This field is required
        </mat-error>
      </mat-form-field>
    </div>
  </div>

  <div class="app-popup-footer" *ngIf="customFooter">
    <button mat-raised-button color="accent"
            class="action-btn" (click)="cancel()">
      No
    </button>
    <button mat-stroked-button color="accent" class="action-btn ml-2" (click)="updateAndRebook()">
      Cancel & Rebook
    </button>
    <button mat-stroked-button color="accent" class="action-btn ml-2" (click)="update(SAVE)">
      Cancel
    </button>
  </div>
</div>
